Bug 490162 - ethttool -S on r8169 version 2.2LK hangs when interface is down
ethttool -S on r8169 version 2.2LK hangs when interface is down
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Ivan Vecera
Red Hat Kernel QE team
:
Depends On:
Blocks: 502030
  Show dependency treegraph
 
Reported: 2009-03-13 12:11 EDT by Ivan Vecera
Modified: 2009-09-02 04:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 440467
Environment:
Last Closed: 2009-09-02 04:46:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Ivan Vecera 2009-03-13 12:16:07 EDT
This bug also affects RHEL5 as well as upstream. Upstream was already fixed and corresponding commit:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=355423d0849f4506bc71ab2738d38cb74429aaef
Comment 2 RHEL Product and Program Management 2009-03-13 12:28:29 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Don Zickus 2009-04-27 12:00:16 EDT
in kernel-2.6.18-141.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 5 Zhang Kexin 2009-07-29 04:02:17 EDT
Hi Ivan,

could you help test the rhel5.4 kernel for us? since finding a suitable machine is not easy.
patch goes in kernel 2.6.18-141, and latest rhel5.4 kernel is 2.6.18-160.

thanks.
Comment 6 Ivan Vecera 2009-07-29 07:24:13 EDT
Hi Zhang,
I tested 5.4 kernel on all my machines with Realtek's NICs and the issue is solved for 5.4.

Ivan
Comment 9 errata-xmlrpc 2009-09-02 04:46:37 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.